require 'rubygems'
require 'sinatra/base'
require 'yaml'

require_relative 'app/settings.rb'

defaultCnf = YAML::load_file(File.join(__dir__, 'config/defaults.yaml'))
cnf = YAML::load_file(File.join(__dir__, 'config/local.yaml'))
cnf = defaultCnf.merge(cnf)

require 'net/ldap'

require_relative 'app/controllers/index.rb'
require_relative 'app/controllers/auth.rb'

map "/" do
  run IndexController
end

map "/auth" do
  run AuthController
end
